# Retrieve a specific domain for the authenticated c

Retrieve a specific domain for the authenticated client.

Endpoint: GET /user/domains/{domain_id}
Version: 2.0.0

## Path parameters:

  - `domain_id` (integer, required)
    Domain ID
    Example: 789

## Response 200 fields (application/json):

  - `data` (object, required)
    - `domain_name` (string, required)
    - `id` (integer, required)
      the unique ID for the domain within the application
      Example: 123456
    - `status` (any, required)
      the current status of the domain
      Enum: "Active", "Expired", "Grace", "Redemption", "Pending", "Cancelled"
    - `expiry_date` (string, required)
      the date the domain is due to expire
      Example: "2026-03-14"
    - `days_to_expiry` (integer)
      the number of days until the domain expires
      Example: 45
    - `days_of_grace_period` (integer)
      the number of days in the grace period after expiry
      Example: 30
    - `in_grace_period` (boolean)
      whether the domain is currently within the grace period after expiry
    - `days_of_redemption_period` (integer)
      the number of days in the redemption period after expiry
      Example: 30
    - `past_redemption_period` (boolean)
      whether the domain is currently within the redemption period after expiry
    - `days_left_in_period` (integer)
      the number of days left in the current grace or redemption period
      Example: 15
    - `in_redemption_period` (boolean)
      whether the domain is currently within the redemption period after expiry
    - `is_premium` (boolean)
      whether the domain is a premium domain
    - `is_expiring_soon` (boolean)
      whether the domain is within the renewal period
    - `eligible_for_renewal` (boolean, required)
      whether the domain is eligible for renewal
    - `free_domain_renewal` (boolean)
      whether the domain renewal is free
    - `renewal_periods` (array, required)
      the available renewal periods for the domain
    - `renewal_periods.period` (integer, required)
    - `renewal_periods.pricing` (object, required)
    - `renewal_periods.pricing.value` (string, required)
      Example: "19.99"
    - `renewal_periods.pricing.code` (string, required)
      Example: "USD"
    - `renewal_periods.pricing.display_value` (string, required)
      Example: "$19.99 USD"
    - `renewal_periods.pricing.prefix` (string, required)
      Optional currency prefix
      Example: "$"
    - `renewal_periods.pricing.suffix` (string, required)
      Optional currency prefix
      Example: " USD"

## Response 401 fields (application/json):

  - `message` (string)


